// -*-C++-*-
//
// File:      testparamassign.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Wed Oct 25 10:38:38 MET DST 2000


#include <Parameter.h>               // Application headers
#include <param.h>


int main(int, char** argv)
{
  errHandler.name(argv[0]);

  openParameters("testparamassign1");
  ParameterInfo& p1=*gParameters;

  openParameters("testparamassign2");
  ParameterInfo& p2=*gParameters;


  list<string> forward=p2.names();
  list<string>::const_iterator it;

  // now forward
  for (it=forward.begin();it!=forward.end();it++)
    {
      if ( ! p2[*it]->setValue(p1[*it]) ) 
	errstr << "Cannot forward parameter: " << *it
	       << Sas::error("ParamForward");
    }

  // now check it:
  for (it=forward.begin();it!=forward.end();it++) {
    if ( p1[*it]->asString() != p2[*it]->asString() )
      errstr << "Parameter (" << *it << ") not forwarded properly!"
	     << Sas::error("ParamForward");
      
  }

  cout << "testparamassign2 becomes:\n" << p2 << endl;
  return 0;
}
